Subject: [PATCH 1/3] Remove PDF version of manual from being build and installed

From: Jakub Narebski <[email-masked]>
Date: Fri, 1 Jun 2007 18:24:07 +0200

Because PDF version of "The tig Manual" doesn't offer anything new
that is not present in HTML version, and building PDF requires
additional tools (docbook2pdf) and their dependencies present, remove
it from tig rpm.

Signed-off-by: Jakub Narebski <[email-masked]>
---
Jakub Narebski <[email-masked]> wrote Wed, May 30, 2007:
> On Tue, 29 May 2007, Jonas Fonseca wrote:
>> Jakub Narebski <[email-masked]> wrote Mon, May 28, 2007:
>>
>>> I think we can skip generation of manual.pdf, and generate it only on
>>> request (e.g. "make doc-pdf"), or using doc-man and doc-html in place
>>> of doc in the spec file... but this is better left for the next
>>> commit.
>> 
>> Good idea, PDF is not essential and probably suboptimal to either of the
>> HTML versions of the manual.
>
> And it is very easy to implement: just replace 'doc' in make invocation
> in tig.spec.in by the 'doc-man doc-html'.

This patch (commit) does just that.

On Thu, 31 May 2007, Jonas Fonseca wrote:

> I will try to correct this together with the no-PDF doc-building.

I hope we didn't end up duplicating our efforts.

 tig.spec.in |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

diff --git a/tig.spec.in b/tig.spec.in
index 2ce6cdb..b7753fd 100644
--- a/tig.spec.in
+++ b/tig.spec.in
@@ -10,7 +10,7 @@ Group: 		Development/Tools
 Vendor: 	Jonas Fonseca <[email-masked]>
 URL: 		http://jonas.nitro.dk/tig/
 Source: 	http://jonas.nitro.dk/tig/releases/%{name}-%{version}.tar.gz
-BuildRequires: 	ncurses-devel%{!?_without_docs:, xmlto, asciidoc > 6.0.3, /usr/bin/docbook2pdf}
+BuildRequires: 	ncurses-devel%{!?_without_docs:, xmlto, asciidoc > 6.0.3}
 BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 Requires: 	git-core, ncurses
 
@@ -31,7 +31,7 @@ Using it as a pager, it will display input from stdin and colorize it.
 CFLAGS="$RPM_OPT_FLAGS -DVERSION=tig-%{version}-%{release}"
 %{__make} %{_smp_mflags} \
 	prefix=%{_prefix} \
-	all %{!?_without_docs: doc}
+	all %{!?_without_docs: doc-man doc-html}
 
 %install
 [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
@@ -49,8 +49,11 @@ CFLAGS="$RPM_OPT_FLAGS -DVERSION=tig-%{version}-%{release}"
 %doc README COPYING INSTALL SITES BUGS TODO tigrc
 %{!?_without_docs: %{_mandir}/man1/*.1*}
 %{!?_without_docs: %{_mandir}/man5/*.5*}
-%{!?_without_docs: %doc *.html *.pdf}
+%{!?_without_docs: %doc *.html}
 
 %changelog
+* Fri Jun  1 2007 Jakub Narebski <[email-masked]>
+- Remove PDF version of manual from being build and installed
+
 * Mon May 28 2007 Jakub Narebski <[email-masked]>
 - Initial tig spec file
-- 
1.5.2